Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.soap
Class VersionedMessageFactory

`java.lang.Object
javax.xml.soap.MessageFactory
oracle.webservices.soap.VersionedMessageFactory`

All Implemented Interfaces:
  SOAPVersion

public abstract class VersionedMessageFactory
extends MessageFactory
implements SOAPVersion

VersionedMessageFactory provides support for creating SOAPMessages of different versions. The abstract class should be used as interfaces by end users.

Field Summary

Fields inherited from interface oracle.webservices.soap.SOAPVersion
`SOAP_1_1, SOAP_1_2`

Constructor Summary
`VersionedMessageFactory()`

Method Summary
`abstract SOAPMessage` | `createVersionedMessage(MimeHeaders headers, InputStream is, String version)` Creates a SOAPMessage from the headers and InputStream, for the specified version of SOAP.
`abstract SOAPMessage` | `createVersionedMessage(String version)` Creates a SOAPMessage for the specified version.

Methods inherited from class javax.xml.soap.MessageFactory
`createMessage, createMessage, newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionedMessageFactory

    public VersionedMessageFactory()

Method Detail

### createVersionedMessage

    public abstract SOAPMessage createVersionedMessage(String version)
                                                throws SOAPException

  Creates a SOAPMessage for the specified version. If the version is unsupported, a SOAPException is thrown. Supported versions 1.1. and 1.2.
  Parameters:
    `version` - the version of SOAP to use. Can be oracle.webservices.soap.SOAPVersion.SOAP_1_1 and oracle.webservices.soap.SOAPVersion.SOAP_1_2
  Returns:
    a SOAPMessage for the proper version; never null.
  Throws:
    `SOAPException` - if version is not 1.1 or 1.2

### createVersionedMessage

    public abstract SOAPMessage createVersionedMessage(MimeHeaders headers,
                                                       InputStream is,
                                                       String version)
                                                throws IOException,
                                                       SOAPException

  Creates a SOAPMessage from the headers and InputStream, for the specified version of SOAP. If the MimeHeaders or InputStream are not compatable with the specified version a SOAPException will be thrown
  Parameters:
    `headers` - transport specific headers
    `is` - InputStream for message contents.
    `version` - Can be oracle.webservices.soap.SOAPVersion.SOAP_1_1 and oracle.webservices.soap.SOAPVersion.SOAP_1_2
  Returns:
    a SOAPMessage of the specificed version.
  Throws:
    `IOException` - Indicates an error in processing the InputStream
    `SOAPException` - indicates an error with the SOAPMessage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD